package main

import (
	"context"
	"os/signal"
	"syscall"
)

func main() {
	globalContext, _ := signal.NotifyContext(context.Background(), syscall.SIGINT, syscall.SIGTERM)
	cfg := settings()

	application := newApp(globalContext, cfg)
	go application.Serve()
	application.Wait()
}
