package data

import (
	cid "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/container/id"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/netmap"
)

type BucketInfo struct {
	Name                    string // container name from system attribute
	Zone                    string // container zone from system attribute
	CID                     cid.ID
	HomomorphicHashDisabled bool
	PlacementPolicy         netmap.PlacementPolicy
}
